commit 1429b8a2e93ee853b4e3ae701f8167708e61f653
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Nov 2 01:27:20 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 38eec118b91..befd7357351 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251101
+20251102
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 23f2bfa21f2..27614bb4447 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,13 @@
+2025-11-01  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-11-01  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/122381
+	* module.cc (trees_out::core_vals): Write BASELINK_OPTYPE (aka
+	TREE_CHAIN).
+	(trees_in::core_vals): Read it.
+
 2025-10-28  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 5e36c6bdd41..4e8a3e7c0aa 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,26 @@
+2025-11-01  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2025-10-25  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/114023
+	* trans-expr.cc (gfc_trans_pointer_assignment): Always set dtype
+	when remapping a pointer.  For unlimited polymorphic LHS use
+	elem_len from RHS.
+	* trans-intrinsic.cc (gfc_conv_is_contiguous_expr): Extend inline
+	generated code for IS_CONTIGUOUS for pointer arguments to detect
+	when span differs from the element size.
+
+2025-11-01  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2025-10-24  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/122386
+	* dependency.cc (gfc_ref_needs_temporary_p): Revert r16-518.
+	* trans-intrinsic.cc (gfc_conv_intrinsic_transfer): Force temporary
+	for SOURCE not being a simply-contiguous array.
+
 2025-10-25  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index c164282c9e1..91238e7e862 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,28 @@
+2025-11-01  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2025-10-25  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/114023
+	* gfortran.dg/is_contiguous_5.f90: New test.
+
+2025-11-01  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2025-10-24  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/122386
+	* gfortran.dg/transfer_array_subref_2.f90: New test.
+
+2025-11-01  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-11-01  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/122381
+	* g++.dg/modules/convop-2_a.H: New test.
+	* g++.dg/modules/convop-2_b.C: New test.
+
 2025-10-31  Tamar Christina  <tamar.christina@arm.com>
 
 	Backported from master:

